
ews.url=https://outlook.office365.com/EWS/Exchange.asmx
ews.email=testing@accutimewatch.com
ews.password=Jaq75180
ews.folder=Inbox
ews.allowed.files="pdf"
ews.pageSize=50
ews.dirToSaveAttachments=./output/
#evey 25 mins start at 03:05 to 24:00 for all 7 days
ews.query.schedule=0 */6 0-23 * * 1-7
#ews.query.schedule.last=59 59 23 * * ?
# start date MM/dd/yyyy
#ews.startDate=06/01/2022


#IMAP settings
imap.server=outlook.office365.com
imap.port=993
imap.encyption=TLS

#SMTP Settings
smtp.server=smtp.office365.com
smtp.port=587
smtp.encryption=STARTTLS

#secret ( azure active dir )
tenantId=e6741b0b-21ae-471a-bd16-f92fee5b37a1
#clientId=ae209354-586c-4397-bfe4-f46a98292937
clientId=2d3bf6af-5818-4ef5-af4d-500796e99afc
secret=4CB8Q~ruW9YVpqBTaXLZ5bj8Q2ovF8dxneOwFbYZ
authority=https://login.microsoftonline.com/${tenantId}/
scope=https://graph.microsoft.com/.default
#scope=Mail.Read

grantType=client_credentials
TOKEN_URL=https://login.microsoftonline.com/e6741b0b-21ae-471a-bd16-f92fee5b37a1/oauth2/v2.0/token

app.clientId=2d3bf6af-5818-4ef5-af4d-500796e99afc
app.tenantId=e6741b0b-21ae-471a-bd16-f92fee5b37a1
app.graphUserScopes=user.read,mail.read
app.clientSecret=4CB8Q~ruW9YVpqBTaXLZ5bj8Q2ovF8dxneOwFbYZ

#jdk 17
#com.psc.azure.O365EmailApp